__gnu_pbds::detail::branch_policy< Node_CItr, Node_Itr, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::branch_policy< Node_CItr, Node_Itr, _Alloc >

SYNOPSIS

Inherited by __gnu_pbds::detail::trie_policy_base< Node_CItr, Node_Itr, _ATraits, _Alloc >, and __gnu_pbds::tree_order_statistics_node_update< Node_CItr, Node_Itr, Cmp_Fn, _Alloc > [private].

  Protected Types

typedef rebind_v::const_pointer const_pointer
typedef rebind_v::const_reference const_reference
typedef Node_Itr::value_type it_type
typedef rebind_k::const_reference key_const_reference
typedef value_type::first_type key_type
typedef remove_const< key_type >::type rckey_type
typedef remove_const< value_type >::type rcvalue_type
typedef _Alloc::template rebind< rckey_type >::other rebind_k
typedef _Alloc::template rebind< rcvalue_type >::other rebind_v
typedef rebind_v::reference reference
typedef std::iterator_traits< it_type >::value_type value_type

  Protected Member Functions

virtual it_type end ()=0
it_type end_iterator () const

  Static Protected Member Functions

static key_const_reference extract_key (const_reference r_val)

Detailed Description

  template<typename Node_CItr, typename Node_Itr, typename _Alloc>
struct __gnu_pbds::detail::branch_policy< Node_CItr, Node_Itr, _Alloc >" Primary template, base class for branch structure policies.

Definition at line 52 of file branch_policy.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.